be.ehealth.technicalconnector.beid.domain

## Enum Gender

- java.lang.Object
- - java.lang.Enum<Gender>
  - - be.ehealth.technicalconnector.beid.domain.Gender

- All Implemented Interfaces:
    Serializable, Comparable<Gender>

      public enum Gender
      extends Enum<Gender>
      implements Serializable

  Gender Enumeration

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FEMALE` Female
    `MALE` Male

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Gender` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Gender[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MALE

          public static final Gender MALE

      Male

    - #### FEMALE

          public static final Gender FEMALE

      Female

  - ### Method Detail

    - #### values

          public static Gender[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Gender c : Gender.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Gender valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.